Loading...
Searching...
No Matches
detection_bbox.h File Reference
`#include "rational.h"`
`#include "avassert.h"`
`#include "frame.h"`

Go to the source code of this file.

## Data Structures

struct | AVDetectionBBox
struct | AVDetectionBBoxHeader

## Macros

#define | AV_DETECTION_BBOX_LABEL_NAME_MAX_SIZE 64
#define | AV_NUM_DETECTION_BBOX_CLASSIFY 4
| At most 4 classifications based on the detected bounding box.

## Functions

static av_always_inline AVDetectionBBox * | av_get_detection_bbox (const AVDetectionBBoxHeader *header, unsigned int idx)
AVDetectionBBoxHeader * | av_detection_bbox_alloc (uint32_t nb_bboxes, size_t *out_size)
| Allocates memory for AVDetectionBBoxHeader, plus an array of `nb_bboxes` AVDetectionBBox, and initializes the variables.
AVDetectionBBoxHeader * | av_detection_bbox_create_side_data (AVFrame *frame, uint32_t nb_bboxes)
| Allocates memory for AVDetectionBBoxHeader, plus an array of `nb_bboxes` AVDetectionBBox, in the given AVFrame `frame` as AVFrameSideData of type AV_FRAME_DATA_DETECTION_BBOXES and initializes the variables.

## Macro Definition Documentation

## AV_DETECTION_BBOX_LABEL_NAME_MAX_SIZE

#define AV_DETECTION_BBOX_LABEL_NAME_MAX_SIZE 64

Definition at line 36 of file detection_bbox.h.

## AV_NUM_DETECTION_BBOX_CLASSIFY

#define AV_NUM_DETECTION_BBOX_CLASSIFY 4

At most 4 classifications based on the detected bounding box.

For example, we can get max 4 different attributes with 4 different DNN models on one bounding box. classify_count is zero if no classification.

Definition at line 50 of file detection_bbox.h.

## Function Documentation

## av_get_detection_bbox()

av_always_inline AVDetectionBBox * av_get_detection_bbox | ( | const AVDetectionBBoxHeader * | header,
|  | unsigned int | idx )

static

Definition at line 84 of file detection_bbox.h.

## av_detection_bbox_alloc()

AVDetectionBBoxHeader * av_detection_bbox_alloc | ( | uint32_t | nb_bboxes,
|  | size_t * | out_size )

Allocates memory for AVDetectionBBoxHeader, plus an array of `nb_bboxes` AVDetectionBBox, and initializes the variables.

Can be freed with a normal av_free() call.

Parameters

  nb_bboxes | number of AVDetectionBBox structures to allocate
  out_size | if non-NULL, the size in bytes of the resulting data array is written here.

## av_detection_bbox_create_side_data()

AVDetectionBBoxHeader * av_detection_bbox_create_side_data | ( | AVFrame * | frame,
|  | uint32_t | nb_bboxes )

Allocates memory for AVDetectionBBoxHeader, plus an array of `nb_bboxes` AVDetectionBBox, in the given AVFrame `frame` as AVFrameSideData of type AV_FRAME_DATA_DETECTION_BBOXES and initializes the variables.